models/Ejercicio1.php
<?php
namespace app\models;
use yii\base\Model;

class Ejercicio1 extends Model{
    public $numero;
    
    public function attributeLabels(){
        return [
            "numero" => "Numero que deseas poner"
        ];
    }
    
    public function rules() {
        return [
            [['numero'],'required','message'=>'Giliiiiiiiiiii...'],
            ['numero','integer','min'=>1,'max'=>100,'message'=>'Un numero zopenco o es que no sabes leer lo que se te pide']
        ];
    }
}

models/Ejercicio2.php
<?php
namespace app\models;
use yii\base\Model;

class Ejercicio2 extends Model{
    public $numero;
    
    public function attributeLabels(){
        return [
            "numero" => "Numero que deseas poner"
        ];
    }
    
    public function rules() {
        return [
            [['numero'],'required','message'=>'Giliiiiiiiiiii...'],
            ['numero','compare', 'compareValue' => 10, 'operator' => '>=']
        ];
    }
}

models/Numeros.php
<?php
namespace app\models;
use yii\base\Model;

class Numeros extends Model {
    public $numero1;
    public $numero2;
    public $numero3;
    
    
    public function attributeLabels() {
        return[
            "numero1" => "Numero 1",
            "numero2" => "Numero 2",
            "numero3" => "Numero 3",
        ];
    }
    
    public function rules() {
        return [
            [['numero1','numero2','numero3'],'required','message'=>'Tienes que poner un numero cacho carne pon patas'],
            ['numero3','compare', 'compareAttribute' => 'numero2','operator'=>'>'],
            [['numero1','numero2','numero3'],'integer','message'=>'El campo {attribute} debe ser un numero'],
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Ejercicio1;
use app\models\Ejercicio2;
use app\models\Numeros;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
    
    public function actionEjercicio1() {
         $model = new Ejercicio1();

    if ($model->load(Yii::$app->request->post())) {
        if ($model->validate()) {
            // creo una variable vacia para guardar los datos del bucle
            $salida="";
            // creo un bucle for
            for($c=1;$c<=$model->numero;$c++){
                $salida=$salida . "<br>" . $c;
            }
            return $this->render('resultadoEjercicio1',[
                "salida" => $salida,
            ]);
        }
    }

    return $this->render('ejercicio1', [
        'model' => $model,
    ]);
    }
    
    public function actionEjercicio2() {
        $model = new Ejercicio2();

    if ($model->load(Yii::$app->request->post())) {
        if ($model->validate()) {
            $salida="";
            for($c=$model->numero;$c>0;$c--){
                $salida="<p>$salida $c</p>";
            }
            return $this->render('resultadoEjercicio2',[
                "salida" => $salida,
            ]);
        }
    }

    return $this->render('ejercicio2', [
        'model' => $model,
    ]);
    }
    
    public function actionEjercicio3() {
        $model = new Numeros();

    if ($model->load(Yii::$app->request->post())) {
        if ($model->validate()) {
            $resultado=$model->numero1+$model->numero2+$model->numero3;
            
            return $this->render("resultadoEjercicio3y4",[
                "resultado" => $resultado,
                "operacion" => "suma",
            ]);
        }
    }

    return $this->render('numeros', [
        'model' => $model,
        'operacion' => 'Sumar',
    ]);
    }
    
    public function actionEjercicio4() {
        $model = new Numeros();

        if ($model->load(Yii::$app->request->post())) {
            if ($model->validate()) {
                $resultado=$model->numero1*$model->numero2*$model->numero3;

                return $this->render("resultadoEjercicio3y4",[
                    "resultado" => $resultado,
                    "operacion" => "multiplicacion",
                ]);
            }
        }

        return $this->render('numeros', [
            'model' => $model,
            'operacion' => 'Multiplicar',
        ]);
    }
}

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap4\Breadcrumbs;
use yii\bootstrap4\Html;
use yii\bootstrap4\Nav;
use yii\bootstrap4\NavBar;

AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <?php $this->registerCsrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body class="d-flex flex-column h-100">
<?php $this->beginBody() ?>

<header>
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar navbar-expand-md navbar-dark bg-dark fixed-top',
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'EJERCICIO1', 'url' => ['/site/ejercicio1']],
            ['label' => 'EJERCICIO2', 'url' => ['/site/ejercicio2']],
            ['label' => 'EJERCICIO3', 'url' => ['/site/ejercicio3']],
            ['label' => 'EJERCICIO4', 'url' => ['/site/ejercicio4']],
        ],
    ]);
    NavBar::end();
    ?>
</header>

<main role="main" class="flex-shrink-0">
    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</main>

<footer class="footer mt-auto py-3 text-muted">
    <div class="container">
        <p class="float-left">Ejemplo 007 Yii POO2021</p>
        <p class="float-right">Pedro J.</p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/ejercicio1.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Ejercicio1 */
/* @var $form ActiveForm */
?>
<div class="site-ejercicio1">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'numero') ?>
    
        <div class="form-group">
            <?= Html::submitButton('Mostrar', ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio1 -->

views/site/ejercicio2.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Ejercicio2 */
/* @var $form ActiveForm */
?>
<div class="site-ejercicio2">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'numero') ?>
    
        <div class="form-group">
            <?= Html::submitButton('Mostrar', ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-ejercicio2 -->

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'Ejemplo 007';
?>
<div class="site-index">

    <div class="body-content">

        <div class="row">
            <div class="col-lg-8 mx-auto text-justify ">
                <h2 class="bg-primary text-center mx-auto bg-primary p-3 rounded text-white mt-4">Pagina de inicio</h2>

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>
                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>

                
            </div>
        </div>

    </div>
</div>

views/site/numeros.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Numeros */
/* @var $form ActiveForm */
?>
<div class="site-numeros">

    <?php $form = ActiveForm::begin(); ?>

        <?= $form->field($model, 'numero1') ?>
        <?= $form->field($model, 'numero2') ?>
        <?= $form->field($model, 'numero3') ?>
    
        <div class="form-group">
            <?= Html::submitButton($operacion, ['class' => 'btn btn-primary']) ?>
        </div>
    <?php ActiveForm::end(); ?>

</div><!-- site-numeros -->

views/site/resultadoEjercicio1.php
<div class="col-lg-8 mx-auto rounded bg-primary text-white text-center p-3 mt-3">

<?= $salida; ?>

</div>

views/site/resultadoEjercicio2.php
<div class="col-lg-8 mx-auto rounded bg-primary text-white text-center p-3 mt-3">

<?= $salida; ?>

</div>

views/site/resultadoEjercicio3y4.php
<div class="col-lg-6 mx-auto bg-primary text-white p-4 mt-3 rounded">
    <?= "El resultado de la $operacion es $resultado" ?>
</div>